﻿namespace Heb2RusEngine
{
    public interface IStatement
    {
        Statement Statement { set; }
        bool ConvertToUp { get; }
        void ProcessPoint(bool point);
    }

    public class StatementProcessing : IStatement
    {
        public StatementProcessing()
        {
            Statement = Statement.START;
        }
        #region IStatement
        public Statement Statement { private get; set; }
        public bool ConvertToUp
        {
            get { return Statement == Statement.START; }
        }
        public void ProcessPoint(bool point)
        {
            if (point)
                Statement = Statement.START;
        }
        #endregion
    }
    public class NullStatementProcessing : IStatement
    {
        #region IStatement
        public Statement Statement { private get; set; }
        public bool ConvertToUp
        {
            get { return false; }
        }
        public void ProcessPoint(bool point)
        {
        }
        #endregion
    }
}